summaryrefslogtreecommitdiff
path: root/source4/lib/ldb/tests/test-schema.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source4/lib/ldb/tests/test-schema.sh')
-rwxr-xr-xsource4/lib/ldb/tests/test-schema.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/source4/lib/ldb/tests/test-schema.sh b/source4/lib/ldb/tests/test-schema.sh
new file mode 100755
index 0000000000..5423c7eff9
--- /dev/null
+++ b/source4/lib/ldb/tests/test-schema.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+export LDB_URL="tdb://schema.ldb"
+
+rm -f schema.ldb
+
+echo "LDB_URL: $LDB_URL"
+
+echo "Adding schema"
+$VALGRIND bin/ldbadd tests/schema.ldif || exit 1
+
+echo "Adding few test elements (no failure expected here)"
+$VALGRIND bin/ldbadd tests/schema-add-test.ldif || exit 1
+
+echo "Modifying elements (2 failures expected here)"
+$VALGRIND bin/ldbmodify tests/schema-mod-test.ldif
+
+echo "Showing modified record"
+$VALGRIND bin/ldbsearch '(cn=Test)' || exit 1
+